using be.ehealth.businessconnector.mycarenet.memberdatav2.session.builders.regional;
using be.fgov.ehealth.technicalconnector.tests.session;
using be.fgov.ehealth.technicalconnector.tests.utils;
using NUnit.Framework;
using System;

namespace be.ehealth.businessconnector.mycarenet.memberdatav2.session.regional
{
    [TestFixture]
    public class WalCareNetMobilityImprovementIntegrationTest : AbstractMobilityImprovementIntegrationTest {

    	static WalCareNetMobilityImprovementIntegrationTest() {
            java.util.Properties props = new java.util.Properties();
            props.put("session.environment", "acc");
            props.put("session.professionType", "persotmobilityimprovement");
            props.put("session.username", "nicolas");
            SessionInitializer.init(props, true, SupportedLanguages.NET.getAbbreviation());
        }

        public WalCareNetMobilityImprovementIntegrationTest() : base(MemberDataSessionServiceFactory.getMemberDataSyncWalCareNetService(), new WalCareNetEncryptedBuilderStrategy(), new WalCareNetUnencryptedBuilderStrategy()) {}
     }
}
